Bug 450665

Summary: correct resolution not available, display corrupted
Product: [Fedora] Fedora Reporter: Mikel Ward <mikel>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 15:50:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mikel Ward 2008-06-10 10:42:25 UTC
After installing the latest updates, shutting down, unplugging my external
monitor, and starting up again when I got home, my screen - which used to work -
started up in a weird and low resolution video mode something like 768x314.  The
X login screen was replicated several times, as was the cursor.  My laptop's
internal display's native resolution is 1440x900, but this resolution did not
seem to be in the xrandr list; the maximum resolution available was 768x314 or
768x768 or similar.

Rebooting in 2.6.25-3 seems to have fixed the problem, but it's not clear if the
new 2.6.25-4 kernel was the cause, or if the problem was a transient one.

I note that I also had my lid closed during the problematic boot.

Ctrl+Alt+F<n> also did not work.

The only packages updated recently are the kernel and the geode video driver,
which I'm not using.  The problem may have existed previously but only been
triggered by the lid being closed.

01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 135M (rev a1)

nv driver

kernel-2.6.25.3-18.fc9.i686
kernel-2.6.25.4-30.fc9.i686
xorg-x11-drv-nv-2.1.8-1.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-server-common-1.4.99.901-29.20080415.fc9.i386

Comment 1 Mikel Ward 2008-06-10 10:54:15 UTC
Not able to reproduce by simply shutting lid during boot.

Either there's a weird timing-dependent problem, or it requires the laptop first be in sleep mode before 
displaying the X server, or it requires it was previously connected to an external display.

Will try those possibilities.

Lowering severity field to medium until I can prove it's more important.

Comment 2 Bug Zapper 2009-06-10 01:30:57 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:50:02 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.